Odoo Hilfe

1

1
1 Answer
2
Avatar

Guewen Baconnier

--Guewen Baconnier--

2936
| 7 7 10
Lausanne, Schweiz
--Guewen Baconnier--

Guewen works at Camptocamp as an Odoo developer since 2010. He is the lead developer of the Odoo Connector framework and the Magento Connector. He is a delegate member of the OCA, a committer and an active contributor to the OCA projects.

 

Guewen Baconnier
27.02.13, 06:27

If you read the README file in openerp-server you'll notice the following line:

The dependencies are listed in setup.py

Search install_requires in setup.py and you'll find the list of python libraries.

The current one:

  install_requires = [
      'pychart', # not on pypi, use: pip install http://download.gna.org/pychart/PyChart-1.39.tar.gz
      'babel',
      'docutils',
      'feedparser',
      'gdata',
      'Jinja2',
      'lxml', # windows binary http://www.lfd.uci.edu/~gohlke/pythonlibs/
      'mako',
      'mock',
      'PIL', # windows binary http://www.lfd.uci.edu/~gohlke/pythonlibs/
      'psutil', # windows binary code.google.com/p/psutil/downloads/list
      'psycopg2',
      'pydot',
      'python-dateutil < 2',
      'python-ldap', # optional
      'python-openid',
      'pytz',
      'pywebdav',
      'pyyaml',
      'reportlab', # windows binary pypi.python.org/pypi/reportlab
      'simplejson',
      'unittest2',
      'vatnumber',
      'vobject',
      'werkzeug',
      'xlwt',
  ],     
  extras_require = {
      'SSL' : ['pyopenssl'],
  },
  tests_require = ['unittest2'],

Note that some addons may need additional libraries (like google_docs which requires gdata for example).

Fragen Sie
Writer
Keep Informed
0 Verfolger
About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

Register
Odoo Training Center

Access to our eLearning platform and experience all Odoo Apps through learning videos, use cases and quizzes.

Test it now